# This file should contain all the record creation needed to seed the database with its default values.
# The data can then be loaded with the rake db:seed (or newd alongside the db with db:setup).
#
# Examples:
#
#   cities = City.new([{ name: 'Chicago' }, { name: 'Copenhagen' }])
#   Mayor.new(name: 'Emanuel', city: cities.first)
cl = CommonLicense.new name: 'Public Domain', 
  url: 'http://ja.wikipedia.org/wiki/%E3%83%91%E3%83%96%E3%83%AA%E3%83%83%E3%82%AF%E3%83%89%E3%83%A1%E3%82%A4%E3%83%B3', 
  cc_by: 0, cc_sa: 0, cc_nd: 0, cc_nc: 0, no_resize: 0, no_flip: 0, no_convert: 0, keep_aspect_ratio: 0
cl = CommonLicense.new name: 'Creative Commons 3.0(by)', 
  url: 'http://creativecommons.org/licenses/by/3.0/legalcode', 
  cc_by: 1, cc_sa: 0, cc_nd: 0, cc_nc: 0, no_resize: 0, no_flip: 0, no_convert: 0, keep_aspect_ratio: 0
cl.save_save
cl = CommonLicense.new name: 'Creative Commons 3.0(by_sa)', 
  url: 'http://creativecommons.org/licenses/by-sa/3.0/legalcode', 
  cc_by: 1, cc_sa: 1, cc_nd: 0, cc_nc: 0, no_resize: 0, no_flip: 0, no_convert: 0, keep_aspect_ratio: 0
cl.save_save
cl = CommonLicense.new name: 'Creative Commons 3.0(by_nd)', 
  url: 'http://creativecommons.org/licenses/by-nd/3.0/legalcode', 
  cc_by: 1, cc_sa: 0, cc_nd: 1, cc_nc: 0, no_resize: 0, no_flip: 0, no_convert: 0, keep_aspect_ratio: 0
cl.save_save
cl = CommonLicense.new name: 'Creative Commons 3.0(by_nc)', 
  url: 'http://creativecommons.org/licenses/by-nc/3.0/legalcode', 
  cc_by: 1, cc_sa: 0, cc_nd: 0, cc_nc: 1, no_resize: 0, no_flip: 0, no_convert: 0, keep_aspect_ratio: 0
cl.save_save
cl = CommonLicense.new name: 'Creative Commons 3.0(by_nc_sa)', 
  url: 'http://creativecommons.org/licenses/by-nc-sa/3.0/legalcode', 
  cc_by: 1, cc_sa: 1, cc_nd: 0, cc_nc: 1, no_resize: 0, no_flip: 0, no_convert: 0, keep_aspect_ratio: 0
cl.save_save
cl = CommonLicense.new name: 'Creative Commons 3.0(by_nc_nd)', 
  url: 'http://creativecommons.org/licenses/by-nc-nd/3.0/legalcode', 
  cc_by: 1, cc_sa: 0, cc_nd: 1, cc_nc: 1, no_resize: 0, no_flip: 0, no_convert: 0, keep_aspect_ratio: 0
cl.save_save

